package com.alihealth.d2d.provtest.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;

/**
 * @author Jason 境内药品生产企业基本信息实体
 * @date 2025年05月29日 10:28:21
 */
@Data
@TableName("domestic_pharma_base_info")
public class DomesticPharmaBaseInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    // 企业基础信息
    private String tyshxydm;       // 统一社会信用代码
    private String jnypscqymc;     // 疫苗生产企业名称
    private String jnypscqylx;     // 企业类型

    // 注册地址信息
    private String zsdz;           // 注册地址
    private String zsdzgjhdq;      // 注册地址国家/地区代码
    private String zsdzszxszzq;    // 注册地址所在行政区
    private String zsdzsqzzzm;     // 注册地址社区/镇/村
    private String zsdzxzzxxjs;    // 注册地址乡镇/街道
    private String zsdzxzjdbsc;    // 注册地址详细街道办/社区
    private String zsdzcjlld;      // 注册地址村居/路/楼栋
    private String zsdzmphm;       // 注册地址门牌号码

    // 企业负责人信息
    private String fddbr;          // 法定代表人
    private String zczb;       // 注册资本(万元)

    // 日期信息
    private LocalDate clrq;             // 成立日期
    private String yyqx;           // 营业期限

    // 经营信息
    private String jyfw;           // 经营范围
    private String djjg;           // 登记机关

    // 联系方式
    private String gddhhm;         // 固定电话号码
    private String czhm;           // 传真号码
    private String dzxx;           // 电子信箱
    private String qywz;           // 企业网址
    private String lxr;            // 联系人
    private String lxdh;           // 联系电话

    // 地理坐标
    private String zsgps;          // GPS坐标(经度,纬度)

    // 系统字段
    private Date createTime;       // 创建时间
    private Date updateTime;       // 更新时间
    private Integer isDeleted;     // 是否删除(0-否 1-是)
}
