package com.alihealth.d2d.provtest.domain;

import com.alihealth.d2d.provtest.entity.BaseEntity;
import com.alihealth.d2d.provtest.entity.XmlEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Embedded;
import javax.xml.bind.annotation.*;
import java.time.LocalDate;

/**
 * @author Jason
 * @date 2025年05月30日 09:59:21
 */
@Data
@TableName("domestic_pharma_base_info")
@XmlRootElement(name = "data")
@XmlAccessorType(XmlAccessType.FIELD) // 明确指定字段访问
public class DomesticProducer extends BaseEntity<DomesticProducer>{
    @Column(name = "tyshxydm", unique = true)
    @XmlElement(name = "TYSHXYDM")
    private String tyshxydm;

    @Column(name = "jnypscqymc")
    @XmlElement(name = "JNYPSCQYMC")
    private String jnypscqymc;

    @Column(name = "jnypscqylx")
    @XmlElement(name = "JNYPSCQYLX")
    private String jnypscqylx;

    @Column(name = "zsdz")
    @XmlElement(name = "ZSDZ")
    private String zsdz;

    @Column(name = "zsdzgjhdq")
    @XmlElement(name = "ZSDZGJHDQ")
    private String zsdzgjhdq;      // 注册地址国家/地区代码

    @Column(name = "zsdzszxszzq")
    @XmlElement(name = "ZSDZSZXSZZQ")
    private String zsdzszxszzq;    // 注册地址所在行政区

    @Column(name = "zsdzsqzzzm")
    @XmlElement(name = "ZSDZSQZZZM")
    private String zsdzsqzzzm;     // 注册地址社区/镇/村

    @Column(name = "zsdzxzzxxjs")
    @XmlElement(name = "ZSDZXZZXXJS")
    private String zsdzxzzxxjs;    // 注册地址乡镇/街道

    @Column(name = "zsdzxzjdbsc")
    @XmlElement(name = "ZSDZXZJDBSC")
    private String zsdzxzjdbsc;    // 注册地址详细街道办/社区

    @Column(name = "zsdzcjlld")
    @XmlElement(name = "ZSDZCJLLD")
    private String zsdzcjlld;      // 注册地址村居/路/楼栋

    @Column(name = "zsdzmphm")
    @XmlElement(name = "ZSDZMPHM")
    private String zsdzmphm;       // 注册地址门牌号码

    // 企业负责人信息
    @Column(name = "fddbr")
    @XmlElement(name = "FDDBR")
    private String fddbr;          // 法定代表人

    @Column(name = "zczb")
    @XmlElement(name = "ZCZB")
    private String zczb;       // 注册资本(万元)

    // 日期信息
    @Column(name = "clrq")
    @XmlElement(name = "CLRQ")
    private LocalDate clrq;             // 成立日期

    @Column(name = "yyqx")
    @XmlElement(name = "YYQX")
    private String yyqx;           // 营业期限

    // 经营信息
    @Column(name = "jyfw")
    @XmlElement(name = "JYFW")
    private String jyfw;           // 经营范围

    @Column(name = "djjg")
    @XmlElement(name = "DJJG")
    private String djjg;           // 登记机关

    // 联系方式
    @Column(name = "gddhhm")
    @XmlElement(name = "GDDHHM")
    private String gddhhm;         // 固定电话号码

    @Column(name = "czhm")
    @XmlElement(name = "CZHM")
    private String czhm;           // 传真号码

    @Column(name = "dzxx")
    @XmlElement(name = "DZXX")
    private String dzxx;           // 电子信箱

    @Column(name = "qywz")
    @XmlElement(name = "QYWZ")
    private String qywz;           // 企业网址

    @Column(name = "lxr")
    @XmlElement(name = "LXR")
    private String lxr;            // 联系人

    @Column(name = "lxdh")
    @XmlElement(name = "LXDH")
    private String lxdh;           // 联系电话

    // 地理坐标
    @Column(name = "zsgps")
    @XmlElement(name = "ZSGPS")
    private String zsgps;          // GPS坐标(经度,纬度)



    @Override
    public Class<DomesticProducer> getEntityClass() {
        return DomesticProducer.class;
    }

    @Override
    public String getDatasetName() {
        return "境内药品生产企业基本信息数据子集1111";
    }


}
